Get a medication request by ID

get

/MedicationRequest/{id}

Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.

Retrieves an individual medication request by the associated ID.

Request

Path Parameters
Header Parameters

There's no request body for this operation.

Back to Top

Response

200 Response

The successful retrieve response.
Body ()
Root Schema : MedicationRequest
Type: object
The FHIR R4 MedicationRequest resource.
Show Source
Nested Schema : category
Type: array
Show Source
Nested Schema : CodeableConcept
Type: object
Show Source
Nested Schema : DispenseRequestForMedicationRequest
Type: object
The FHIR medication request dispense request.
Show Source
Nested Schema : dosageInstruction
Type: array
Show Source
Nested Schema : ReferenceForMedicationRequest
Type: object
The FHIR reference.
Show Source
Nested Schema : extension
Type: array
Show Source
Nested Schema : meta
Type: object
The FHIR meta.
Show Source
Nested Schema : note
Type: array
Show Source
Nested Schema : reasonCode
Type: array
Show Source
Nested Schema : SubstitutionForMedicationRequest
Type: object
The FHIR medication request substitution.
Show Source
Nested Schema : Narrative
Type: object
Show Source
Nested Schema : coding
Type: array
The terminology codings or data-absent-reason coding.
Show Source
Nested Schema : Coding
Type: object
Show Source
Nested Schema : Quantity
Type: object
Show Source
Nested Schema : PeriodForMedicationRequest
Type: object
The FHIR period.
Show Source
Nested Schema : extension
Type: array
Show Source
Nested Schema : ExtensionForMedicationRequest
Type: object
The FHIR extension.
Show Source
Nested Schema : DosageForMedicationRequest
Type: object
The FHIR dosage.
Show Source
Nested Schema : additionalInstruction
Type: array
Show Source
Nested Schema : doseAndRate
Type: array
Show Source
Nested Schema : extension
Type: array
Show Source
Nested Schema : TimingForMedicationRequest
Type: object
The FHIR timing.
Show Source
Nested Schema : DoseAndRate
Type: object
Show Source
Nested Schema : TimingRepeatForMedicationRequest
Type: object
The FHIR timing repeat.
Show Source
Nested Schema : when
Type: array
Show Source
Nested Schema : extension
Type: array
Show Source
Nested Schema : security
Type: array
Show Source
Nested Schema : AnnotationForMedicationRequest
Type: object
The FHIR annotation.
Show Source

Default Response

An OperationOutcome describing any error that occurred.
Body ()
Root Schema : OperationOutcome
Type: object
The FHIR OperationOutcome.
Show Source
Nested Schema : issue
Type: array
The OperationOutcome issues.
Show Source
Nested Schema : OperationOutcomeIssue
Type: object
Show Source
Nested Schema : CodeableConcept
Type: object
Show Source
Nested Schema : expression
Type: array
Show Source
Nested Schema : coding
Type: array
The terminology codings or data-absent-reason coding.
Show Source
Nested Schema : Coding
Type: object
Show Source
Back to Top